JMB(4)

NAME
jmb - JMicron JMB36x SATA II and PATA Host Controller

SYNOPSIS
jmb* at pci?
ahci* at jmb?
pciide* at jmb?

DESCRIPTION
JMicron JMB36x hardware can provide support for SATA devices using the Advanced Host Controller Interface for Serial ATA, and for PATA devices using PCI IDE controller specification. Since support for both SATA and PATA devices can be enabled on the same PCI device but only one driver per PCI device can be attached, the jmb driver acts as a nexus to other drivers that support the SATA and PATA functionality. ahci(4) supports the SATA functionality, and pciide(4) support the PATA functionality on these controllers.

SEE ALSO
ahci(4), intro(4), pci(4), pciide(4)

HISTORY
The jmb driver first appeared in OpenBSD 4.2.

AUTHORS
-nosplit The jmb driver was written by David Gwynne <dlg@openbsd.org>.